export default class Server {

  constructor(params) {

  }

  /**
    * 查询付款信息
    */
  QueryPaymentDetail(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payment/prepare/preExecute`, param.payLineIds).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }

  /**
    * 更新付款信息  
    */
  UpdatePaymentDetail(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payment/prepare/execute`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }

  /**
   * 选择不同付款方式时请求数据
   */
  ChangePaymentMode(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payment/prepare/changePaymentMode/${param.payLineId}/${param.paymentMode}`, {}).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
}