export default class Server {
  
    constructor(param) {
      
    }
    
    // 查询上传文件列表
    getFiles(param) {
      return new Promise((resolve) => {
        $axios.post(`${process.env.API.claimURL}/claim/file/findFileInfo`, param).then((response) => {
          resolve(response.data);
        })
          .catch((error) => {
            let msg;
            try{
              msg = error.response.data.message || "服务异常，请联系管理员";
            }catch(e){
              msg = "服务异常，请联系管理员";
            }
            let responseData = { "dataResult": [], "extra": "", "msg": msg, "statusCode": "-1" };
            resolve(responseData);
          })
      })
    }
  
    // 删除文件
    deleteFile(param) {
      return new Promise((resolve) => {
        $axios.post(`${process.env.API.claimURL}/claim/file/delete`, param).then((response) => {
          resolve(response.data);
        })
          .catch((error) => {
            let msg;
            try{
              msg = error.response.data.message || "服务异常，请联系管理员";
            }catch(e){
              msg = "服务异常，请联系管理员";
            }
            var responseData = { "dataResult": [], "extra": "", "msg": msg, "statusCode": "-1" };
            resolve(responseData);
          })
      })
    }
  
    // 下载文件
    downLoadFile(param) {
      window.open(`${process.env.API.claimURL}/claim/file/download?fileId=${param.fileId}`);
    }
  
    // 批量下载文件
    batchDownLoadFile(param) {
      window.open(`${process.env.API.claimURL}/claim/file/downloadBatch?idList=${param.idList}`);
    }
  
    // 查询当前审批节点的信息
    findCurrentNodeInfo (param = {}) {
      return new Promise((resolve) => {
        $axios.post(`${process.env.API.emsUtServiceURL}/claimProcessTaskMgr/getProcessStatus/${param.claimNo}`).then((response) => {
          resolve(response.data);
        })
          .catch((error) => {
            let msg;
            try{
              msg = error.response.data.message || "服务异常，请联系管理员";
            }catch(e){
              msg = "服务异常，请联系管理员";
            }
            var responseData = { "dataResult": [], "extra": "", "msg": msg, "statusCode": "-1" };
            resolve(responseData);
          })
      })
    }
  }