export default class Server {

  constructor(params) {

  }
  _axios(url, param) {
    return new Promise((resolve) => {
      $axios.post(url, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        resolve(this._errReporter(error));
      })
    })
  }
  // 根据值集代码查询
  QueryValueSetByCode(param) {
    return new Promise((resolve) => {
      $axios.get(`${process.env.API.baseURL}/sys/valueset/item/list/${param.code}`).then((response) => {
        if (response.data.statusCode == '0') {
          let result = [];
          for (let item of response.data.dataResult) {
            result.push({
              label: item.vsiValue,
              value: item.vsiKey
            });
          }
          resolve(result);
        } else {
          let responseData = {
            "dataResult": [],
            "extra": "",
            "msg": (response.data.msg || "服务异常，请联系管理员"),
            "statusCode": "-1"
          };
          resolve(responseData);
        }
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }
  /**
   * 查询头信息和基本信息
   */
  queryBasicInfo(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payBatch/queryPayBatch/${param.batchNo}`).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }
  /**
   * 查询收款账户信息
   */
  queryVenderAccountNoInfo(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/modifyVendorAccountInfo`,param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

    /**
     * 对公账户
     */
    getVendors(param = {}) {
      return new Promise((resolve) => {
        $axios.post(`${process.env.API.emsBaseDataURL}/vendor/findPagedVendorList`,param).then((response) => {
          resolve(response);
        }).catch((error) => {
          let responseData = {
            "dataResult": [],
            "extra": "",
            "msg": (error.response.data.message || "服务异常，请联系管理员"),
            "statusCode": "-1"
          };
          resolve(responseData);
        })
      })
  };

  /**
     * 获取第三方账户
     */
    getThirdPartAccount(param = {}) {
      return new Promise((resolve) => {
        $axios.post(`${process.env.API.emsBaseDataURL}/thirdPartAccount/querByExpertCodeForPage`,param).then((response) => {
          resolve(response);
        }).catch((error) => {
          let responseData = {
            "dataResult": [],
            "extra": "",
            "msg": (error.response.data.message || "服务异常，请联系管理员"),
            "statusCode": "-1"
          };
          resolve(responseData);
        })
      })
  };

   /**
     * 获取员工账户
     */
    getActualEmpInfoByEmployeeId(param = {}, callback, loading) {
      return new Promise((resolve) => {
        $axios.post(`${process.env.API.emsBaseDataURL}/sysEmpBankacct/querForPage`,param).then((response) => {
          resolve(response);
        }).catch((error) => {
          let responseData = {
            "dataResult": [],
            "extra": "",
            "msg": (error.response.data.message || "服务异常，请联系管理员"),
            "statusCode": "-1"
          };
          resolve(responseData);
        })
      })
  }


  /**
   * 查询付款申请明细
   */
  //  queryPaymentApplyInfo(param = {}) {
  //   return new Promise((resolve) => {
  //     $axios.post(`${process.env.API.emsPaymentUrl}/PayLineController/info/queryPayLineInfo`, param).then((response) => {
  //       resolve(response);
  //     }).catch((error) => {
  //       let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
  //       resolve(responseData);
  //     })
  //   })
  // }

  //付款申请行查询
  queryAuditTable(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLine/selectByBatchId`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 查询付款申请明细下拉数据
   */
  queryPaymentApplySelectInfoList(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLinePayInfo/selectPayInfoList/${param.payLineId}`).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  //付款申请列表下拉接口
  queryPaymentInfo(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/payRequestLinePayInfo/findListByPayRequestLineId`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  };

  /**
   * 查询准备付款
   */
  preparePayment(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payment/batch/payLineDetail/getPayLineDetailsByGroup`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 准备付款
   */
  preparationPayment(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payment/prepare/execute`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }


  /**
   * 自动准备付款
   */
  autoPreparePayment(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/autoCreatePayLineDetail`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 作废付款准备
   */
  cancelPaymentPreparation(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payBatch/distoryPayBatch?payBatchId=${ param.payBatchId}`).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 释放准备申请明细行
   */
  releasePaymentApply(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payBatch/releasePayLines`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

      /**
   * 支付失败通知
   */
  paymentFailure(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/emsClaim/paymentFailToEms`,param.payLineDetailIds).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }
  /**
   * 跳转到付款申请单页面
   */
  gotoPaymentApplyPage(param = {}) {
    //todo
  }

  /**
   * 跳转到发票信息页面
   */
  gotoInvoicePage(param = {}) {
    //todo
  }

  /**
   * 查询供应商信息
   */
  queryVendorInfo(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/todo`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 保存供应商信息
   */
  saveVendorInfo(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/todo`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 查询付款准备明细
   */
  queryPaymentPreparationInfo(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetailQuery/findPayOperationLogList`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 编辑保存付款准备明细(双击打开)
   */
  savePaymentPreparation(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payment/batch/payLineDetail/amount/modifyAmount`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 撤销付款准备明细
   */
  cannelPaymentPreparation(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/cancelDetails`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 复核付款准备明细
   */
  reviewPreparation(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/auditDetails`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }



  /**
   * 撤销复核付款准备明细
   */
  cancelReviewPreparation(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/cancelAuditDetails`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }
  /**
   * 止付
   */
  stopPay(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/stopPay`, param.payLineDetailIds).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }
  /**
   * 支付付款准备明细
   */
  payPreparation(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/pay`, param.payLineDetailIds).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  queryProcessInfoByClaimNo(param = {}) {
    return this._axios(`${process.env.API.emsUtServiceURL}/claimProcessTaskMgr/myclaimhisbyclaimno?claimNo=${param.claimNo}`, param)
  }
  /**
   * 拒付付款准备明细
   */
  rufusePayPreparation(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/refusePay`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 重新付款准备
   */
  reDoPaymentPreparation(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/redo`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }
 
    /**
   * 通知本地出纳
   */
  noticeCashier(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl} /payLineDetail/informLocalCashier/${param.selectedCashier}`).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }
  /**
   * 支付成功
   */
  paySuccess(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/paySuccess`, param.payLineDetailIds).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 支付失败
   */
  payFail(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/payFail`, param.payLineDetailIds).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 线下退票
   */
  retreatBill(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payment/prepare/retreatBill`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }
  //修改支付时间
  updatePayTime(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/modifyPayTime`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  //查询基本信息
  getCurrentEmployeeInfo(param) {
    return new Promise((resolve) => {
      $axios.get(`${process.env.API.claimURL}/claim/findCurrentEmployee`, param).then((response) => {
          resolve(response);
        })
        .catch((error) => {
          let responseData = {
            "dataResult": [],
            "extra": "",
            "msg": error.response.data.message || "服务异常，请联系管理员",
            "statusCode": "-1"
          };
          resolve(responseData);
        })
    })
  }
  //根据BatchId获取用户的支付通道和标签和标签里的按钮
  findPayWayConfig(param) {
    return new Promise((resolve) => {
      $axios.get(`${process.env.API.emsPaymentUrl}/payLineDetailQuery/findPayWayConfig/${param.batchId}`).then((response) => {
          resolve(response);
        })
        .catch((error) => {
          let responseData = {
            "dataResult": [],
            "extra": "",
            "msg": error.response.data.message || "服务异常，请联系管理员",
            "statusCode": "-1"
          };
          resolve(responseData);
        })
    })
  }

  //根据BatchI计算用户的支付通道里的标签的数据多少
  countTagDataCount(param) {
    return new Promise((resolve) => {
      $axios.get(`${process.env.API.emsPaymentUrl}/payLineDetailQuery/countTagDataCount/${param.batchId}`).then((response) => {
          resolve(response);
        })
        .catch((error) => {
          let responseData = {
            "dataResult": [],
            "extra": "",
            "msg": error.response.data.message || "服务异常，请联系管理员",
            "statusCode": "-1"
          };
          resolve(responseData);
        })
    })
  }

  //查询付款准备分组明细
  getPayLineDetailInfo(param) {
  return new Promise((resolve) => {
    $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetailQuery/selectByBatchId`, param).then((response) => {
        resolve(response);
      })
      .catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": error.response.data.message || "服务异常，请联系管理员",
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

       /**
     * 更改付款账户
     */
    changeAccountNo(param = {}) {
      return new Promise((resolve) => {
        $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetail/modifyVendorAccountInfo`,param).then((response) => {
          resolve(response.data);
        }).catch((error) => {
          let responseData = {
            "dataResult": [],
            "extra": "",
            "msg": (error.response.data.message || "服务异常，请联系管理员"),
            "statusCode": "-1"
          };
          resolve(responseData);
        })
      })
  };




}