export default class Server {

    constructor(params) {

    }
    _axios(url, param) {
        return new Promise((resolve) => {
            $axios.post(url, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                resolve(this._errReporter(error));
            })
        })
    }

    // 根据值集代码查询
    QueryValueSetByCode(param) {
            return new Promise((resolve) => {
                $axios.get(`${process.env.API.baseURL}/sys/valueset/item/list/${param.code}`).then((response) => {
                    if (response.data.statusCode == '0') {
                        let result = [];
                        for (let item of response.data.dataResult) {
                            result.push({ label: item.vsiValue, value: item.vsiKey });
                        }
                        resolve(result);
                    } else {
                        let responseData = { "dataResult": [], "extra": "", "msg": (response.data.msg || "服务异常，请联系管理员"), "statusCode": "-1" };
                        resolve(responseData);
                    }
                }).catch((error) => {
                    let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                    resolve(responseData);
                })
            })
        }
        //编辑付款信息列表查询
    queryEditTable(param = {}) {
            return new Promise((resolve) => {
                $axios.post(`${process.env.API.emsPaymentUrl}/payment/fundManager/getMyPayRequestLines`, param).then((response) => {
                    resolve(response);
                }).catch((error) => {
                    let responseData = {
                        "dataResult": [],
                        "extra": "",
                        "msg": (error.response.data.message || "服务异常，请联系管理员"),
                        "statusCode": "-1"
                    };
                    resolve(responseData);
                })
            })
        }
        //审核列表查询
    queryAuditTable(param = {}) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/payRequestLine/findAuditList`, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }

    //审核接口
    audit(param = {}) {
            return new Promise((resolve) => {
                $axios.post(`${process.env.API.emsPaymentUrl}/payRequestLine/updateAuditStatus`, param).then((response) => {
                    resolve(response.data);
                }).catch((error) => {
                    let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                    resolve(responseData);
                })
            })
        }
        //导出结果
    exportResult(param = null) {
        let url = `${process.env.API.emsPaymentUrl}/payRequestLine/exportPayRequestLine`;
        return new Promise(resolve => {
            $axios({
                    method: 'post',
                    url: url,
                    data: param,
                    responseType: 'blob'
                }).then(response => {
                    resolve(response);
                })
                .catch(error => {
                    let responseData = {
                        dataResult: [],
                        extra: "",
                        msg: error.response.data.message || "服务异常，请联系管理员",
                        statusCode: "-1"
                    };
                    resolve(responseData);
                });
        });
    }

    //撤销审核接口
    cancelAudit(param = {}) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/payRequestLine/cancelAuditStatus`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }

    //审核列表下拉接口
    queryPaymentInfo(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/payRequestLinePayInfo/findListByPayRequestLineId/${param.payRequestLineId}`).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };
    queryProcessInfoByClaimNo(param = {}) {
            return this._axios(`${process.env.API.emsUtServiceURL}/claimProcessTaskMgr/myclaimhisbyclaimno?claimNo=${param.claimNo}`, param)
        }
        //查询申请类型下拉框数据
    queryApplySelect(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsBaseDataURL}/category/findApplyPayCategory`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };
    //查询归属公司下拉框数据
    queryCompanySelect(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/paymentConfig/loadByBusinessType/FUND_MANAGER`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };
    //根据claimNo查询claimId
    queryClaimIdByClaimNo(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/claim/findByClaimNo/${param.claimNo}`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };
    //修改优先级
    updatePriority(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/payRequestLine/updatePriority?payRequestLineId=${param.payRequestLineId}&priority=${param.priority}`).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };
}