// 仅在开发环境下使用mock数据
// if(process.env.API.mock) {
//   require('./mock')
// }

export default class Server {

    constructor(params) {

    }

    _errReporter(error) {
        return { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
    }

    _axios(url, param) {
        return new Promise((resolve) => {
            $axios.post(url, param).then((response) => {
                console.log(url, response)
                resolve(response);
            }).catch((error) => {
                resolve(this._errReporter(error));
            })
        })
    }
    queryApplySelect(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsBaseDataURL}/category/findApplyPayCategory`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };
    // 根据值集代码查询
    QueryValueSetByCode(param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/valueset/item/list/${param.code}`).then((response) => {
                if (response.data.statusCode == '0') {
                    let result = [];
                    for (let item of response.data.dataResult) {
                        result.push({ label: item.vsiValue, value: item.vsiKey });
                    }
                    resolve(result);
                } else {
                    let responseData = { "dataResult": [], "extra": "", "msg": (response.data.msg || "服务异常，请联系管理员"), "statusCode": "-1" };
                    resolve(responseData);
                }
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }

    /**
     * 拉取发起付款准备列表数据
     */
    getPaymentTableDatas(param = {}) {
        return this._axios(`${process.env.API.emsPaymentUrl}/payRequestLine/findInitPaymentPreparationByCondition`, param)
    }

    /**
     * 根据付款申请单号查询流程信息
     */
    queryProcessInfoByClaimNo(param = {}) {
        return this._axios(`${process.env.API.emsUtServiceURL}/claimProcessTaskMgr/myclaimhisbyclaimno?claimNo=${param.claimNo}`, param)
    }

    /**
     * 创建付款准备 多条只能是同一个归属公司 打开新页面
     */
    queryCreatePayment(param = {}) {
        return this._axios(`${process.env.API.emsPaymentUrl}/payBatch/create`, param)
    }

    //审核列表下拉接口
    queryPaymentInfo(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.claimURL}/payRequestLinePayInfo/findListByPayRequestLineId`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };

    //查询归属公司下拉框数据
    queryCompanySelect(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/paymentConfig/loadByBusinessType/PAYMENT`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };

}