import extend from 'extend'
import util from 'ems-payment-platform-dl@/tools/util.js'
import Vue from 'vue';
export default {

    // 设置basicInfo组件引用
    setBasicInfoComponent(state, basicInfoComponent = {}) {
        state.basicInfoComponent = basicInfoComponent;
    },
    // 设置paymentApplyInfo组件引用
    setPaymentApplyInfoComponent(state, paymentApplyInfoComponent = {}) {
        state.paymentApplyInfoComponent = paymentApplyInfoComponent;
    },
    // 设置paymentPreparationInfo组件引用
    setPaymentPreparationInfoComponent(state, paymentPreparationInfoComponent = {}) {
        state.paymentPreparationInfoComponent = paymentPreparationInfoComponent;
    },

    // 设置batchNo
    setBatchNo(state, batchNo) {
        state.batchNo = batchNo;
    },
    // 设置batchId
    setBatchId(state, batchId) {
        state.batchId = batchId;
    },

    // 设置url参数
    setUrlParams(state, urlParams = {}) {
        extend(state.urlParams, urlParams);
    },

    // 设置值集
    setValueSet(state, valueSet = {}) {
        state.valueSet = util.copyPros(state.valueSet, valueSet);
    },
    // 设置币种值集
    setCurrencySet(state, currencyValues = {}) {
        state.currencyValues = util.copyPros(state.currencyValues, currencyValues);
    },
    // 设置付款状态
    setPayTypeSet(state, payTypeValues = {}) {
        state.payTypeValues = util.copyPros(state.payTypeValues, payTypeValues);
    },
    // 设置付款类型
    setPAY_MENT_STATUSSet(state, PAY_MENT_STATUSValues = {}) {
        state.PAY_MENT_STATUSValues = util.copyPros(state.PAY_MENT_STATUSValues, PAY_MENT_STATUSValues);
    },

    // 设置server
    setServer(state, server = {}) {
        state.server = server;
    },

    // 设置基础信息
    setBasicInfo(state, basicInfo) {
        if (basicInfo && basicInfo.createdTime != undefined) {
            basicInfo.createdTime = (basicInfo.createdTime.substr(0, 16)).replace("T", " ");
            state.basicInfo = util.copyPros(state.basicInfo, basicInfo);
        }

    },

     // 设置paymentPreparationInfo组件引用
    setPayLineDetailInfoComponent (state, payLineDetailInfoComponent = {}) {
        state.payLineDetailInfoComponent = payLineDetailInfoComponent;
    },

    // 设置付款申请明细
    setPaymentApplyInfo(state, paymentApplyInfo) {
        state.paymentApplyInfo.applyList = util.copyPros(state.paymentApplyInfo.applyList, paymentApplyInfo);
    },

    // 设置付款准备明细
    setPaymentPreparationInfo(state, paymentPreparationInfo) {
        state.paymentPreparationInfo = util.copyPros(state.paymentPreparationInfo, paymentPreparationInfo);
    },

}